Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Interface ResultSet

All Superinterfaces:
  java.util.Iterator

All Known Subinterfaces:
  com.hp.hpl.jena.sparql.resultset.ResultSetRewindable, ResultSetRewindable

    public interface ResultSet

extends java.util.Iterator

Results from a query in a table-like manner for SELECT queries. Each row corresponds to a set of bindings which fulfil the conditions of the query. Access to the results is by variable name.

Author:
  Andy Seaborne
See Also:
  `Query`, `QueryExecution`, `QuerySolution`, `ResultSet`

Method Summary
`java.util.List` | `getResultVars()` Get the variable names for the projection
`int` | `getRowNumber()` Return the "row" number for the current iterator item
`boolean` | `hasNext()` Is there another possibility?
`boolean` | `isOrdered()` Is this ResultSet known to be ordered?
`java.lang.Object` | `next()` Moves onto the next result possibility.
`com.hp.hpl.jena.sparql.engine.binding.Binding` | `nextBinding()` Move to the next binding (low level)
`QuerySolution` | `nextSolution()` Moves onto the next result possibility.

Methods inherited from interface java.util.Iterator
`remove`

Method Detail

### hasNext

    boolean hasNext()

  Is there another possibility?

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    java.lang.Object next()

  Moves onto the next result possibility. The returned object should be of class QuerySolution

  Specified by:
    `next` in interface `java.util.Iterator`

### nextSolution

    QuerySolution nextSolution()

  Moves onto the next result possibility.

### nextBinding

    com.hp.hpl.jena.sparql.engine.binding.Binding nextBinding()

  Move to the next binding (low level)

### getRowNumber

    int getRowNumber()

  Return the "row" number for the current iterator item

### getResultVars

    java.util.List getResultVars()

  Get the variable names for the projection

### isOrdered

    boolean isOrdered()

  Is this ResultSet known to be ordered? Usually, this means a query involved ORDER BY or a ResultSet read from a serialization had indexing information. (The ordering does not necessaryly have to be total)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP